[Bug 256872] devel/py-zipp: Fails to configure attempting to (network) pip install toml wheel: subprocess.CalledProcessError: Command '['/usr/local/bin/python3.9', '-m', 'pip', ... 'wheel', '--no-deps', ... 'toml'

From: <bugzilla-noreply_at_freebsd.org>
Date: Tue, 29 Jun 2021 03:10:10 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256872

Kubilay Kocak <koobs_at_FreeBSD.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Keywords|                            |needs-patch
           Severity|Affects Only Me             |Affects Many People

--- Comment #2 from Kubilay Kocak <koobs_at_FreeBSD.org> ---
zipp declares toml (via setuptools_scm[toml]) as a setup_requires [1][2], which
is not included as a BUILD_DEPENDS in the port

[1] setup.cfg: setup_requires = setuptools_scm[toml] >= 3.4.1
[2] https://github.com/jaraco/zipp/blob/main/setup.cfg#L23

-- 
You are receiving this mail because:
You are on the CC list for the bug.
Received on Tue Jun 29 2021 - 03:10:10 UTC

Original text of this message